Foxit PDF SDK

Public Member Functions | List of all members
foxit.pdf.CertificateSecurityCallback Class Reference
Inheritance diagram for foxit.pdf.CertificateSecurityCallback:

## Public Member Functions
virtual string | GetDecryptionKey (global::System.IntPtr envelope_buffer, int envelope_length)
| A callback function used to get the key for decrypting certificate protected PDF document. More...
override PDFDoc.EncryptType | GetSecurityType ()
| Get the encryption type of current security callback. More...
Public Member Functions inherited from foxit.pdf.SecurityCallback
virtual void | Release ()
| A callback function used to release current callback object itself. More...

## Detailed Description

This class represents a callback object for certificate decryption. If user wants to use their own certificate security callback, user should inherit this callback class and implement the pure virtual functions (as callback functions), and then register their own certificate security callback object to Foxit PDF SDK by function common.Library.RegisterSecurityCallback with filter "Adobe.PubSec". Function common.Library.UnregisterSecurityCallback can be called to unregister the security callback object with the registered filter name.

## Member Function Documentation

## ◆ GetDecryptionKey()

string foxit.pdf.CertificateSecurityCallback.GetDecryptionKey | ( | global::System.IntPtr | envelope_buffer,
|  | int | envelope_length
| ) |  |
| inline virtual

A callback function used to get the key for decrypting certificate protected PDF document.

Parameters

  [in] | envelope_buffer | A buffer which represents a certificate envelope.
  [in] | envelope_length | Length of certificate envelope buffer, in bytes.

Note
  User should implement this callback function.

Returns
  The decryption key.

## ◆ GetSecurityType()

override PDFDoc.EncryptType foxit.pdf.CertificateSecurityCallback.GetSecurityType | ( |  | ) |
| inline virtual

Get the encryption type of current security callback.

Note
  User should not override this function, otherwise there will be unexpected behavior.

Returns
  The encryption type. It would always be foxit.pdf.PDFDoc.EncryptType.e_EncryptCertificate .

Reimplemented from foxit.pdf.SecurityCallback.